OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
NewGrfDebugSpritePicker Struct Reference

Spritepicker of SpriteAligner. More...

`#include <newgrf_debug.h>`

## Data Fields
NewGrfDebugSpritePickerMode | mode
| Current state.
void * | clicked_pixel
| Clicked pixel (pointer to blitter buffer)
uint32 | click_time
| Realtime tick when clicked to detect next frame.
SmallVector< SpriteID, 256 > | sprites
| Sprites found.

## Detailed Description

Spritepicker of SpriteAligner.

Definition at line 28 of file newgrf_debug.h.

The documentation for this struct was generated from the following file:

- src/newgrf_debug.h